Index: cli.c
===================================================================
--- cli.c	(revision 11275)
+++ cli.c	(working copy)
@@ -1383,7 +1397,10 @@
 		if (e) {
 			switch(e->handler(fd, x, argv)) {
 			case RESULT_SHOWUSAGE:
-				ast_cli(fd, "%s", e->usage);
+				if (e->usage)
+					ast_cli(fd, "%s", e->usage);
+				else
+					ast_cli(fd, "Invalid usage, but no usage information available.\n");
 				break;
 			}
 		} else 
